Zabezpieczenie serwera, czyli jakie pluginy bukkit mieć musi

Dyskusja w 'Archiwum' rozpoczęta przez użytkownika ssobieraj, Mar 5, 2012.

Status tematu:
Brak możliwości dodawania odpowiedzi.
  1. ssobieraj
    Offline

    ssobieraj Nowicjusz

    Wiadomości:
    19
    Polubienia:
    2
    Punkty:
    8
    Witam serdecznie !

    Temat bardzo ważny, bo któremu adminowi serwera nie zależy na bezpieczeństwie.

    Oto moje doświadczenia:

    System logowania:
    - xauth, bardzo latwy do ominiecia, mialem z nim problemy, wlamania, sposob na wlamanie znajduje sie na stronie :


    Najnowsze AuthMe z vault rozwiazuje zupelnie problem.

    Dodatkowo...

    NoCheat najnowszy, standardowa konfiguracja, wiele nie zmieniałem, bardzo dobry.Wykrylem kilku delikwentów :p

    Orbefuscator - do blokowania prześwietlania mapy w celu wykrycia zasobów. W najnowszej wersji wywalał mi błędy.

    LogBlock - testowalem, gdy po nocy mialem na serwerze z dirtu "fiut, ****", czy nie uważacie że taki dodatek podczepiony pod mysql-a może bardzo obciążyć serwer ?


    I pytanie podstawowe... Co jeszcze warto w celu bezpieczeństwa zamontować na serwerze ?
     
    TGF lubi to.
  2. Wert
    Offline

    Wert Znany

    Wiadomości:
    1,453
    Polubienia:
    554
    Punkty:
    268
    Permissions - ustalenie pozwoleń dla graczy
    NoFire - blokuj palenie się bloków, ogień się nie rozprzestrzenia
    WorldGuard - cuboid, blokowanie przedmiotów, fixy lavy itd.
     
  3. ssobieraj
    Offline

    ssobieraj Nowicjusz

    Wiadomości:
    19
    Polubienia:
    2
    Punkty:
    8
    PermissionsEx mam i oczywiscie WorldGuard, Zamiast NoFire podobne możliwości daje mi Essentials.

    Co dalej ?
    Po wyczerapniu tematu, zrobie ładny poradnik o pluginach które należy posiadać by dobrze zabezpieczyć serwer.
     
  4. Rutr
    Offline

    Rutr Użytkownik

    Wiadomości:
    56
    Polubienia:
    26
    Punkty:
    28
    Orebfuscator - pomyliłeś troche litery. Ale najnowsza wersja DEV działa na 1.2! (link do strony)(v1.4.1-beta5)
    tyle pluginów wystarczy. ( w sensie bezpieczeństwa) Tylko napisz że orebfuscator zabezpiecza przed x-rayem
     
  5. ssobieraj
    Offline

    ssobieraj Nowicjusz

    Wiadomości:
    19
    Polubienia:
    2
    Punkty:
    8
    Sprawdze Orebfuscator który podałeś, ale ten który ja uzywalem przy odpaleniu serwera nie zwracal bledow, lecz dopiero w samej rozgrywce... no nic zobaczymy.

    Ja jeszcze pod 1.1-R6 stawialem.... a juz widze 1.1-R7.... czekam na stabilny 1.2 bo zwariuje z aktualizacjami.
     
  6. Rutr
    Offline

    Rutr Użytkownik

    Wiadomości:
    56
    Polubienia:
    26
    Punkty:
    28
    pod 1.1-R6 jest już wersja release: 1.3.10
    nie ma 1.1-R7 !!
    jest 1.2 R0.1 (beta)
     
  7. ssobieraj
    Offline

    ssobieraj Nowicjusz

    Wiadomości:
    19
    Polubienia:
    2
    Punkty:
    8
  8. Wert
    Offline

    Wert Znany

    Wiadomości:
    1,453
    Polubienia:
    554
    Punkty:
    268
    Haha:D Ten koleś jest modem i członkiem DEVu:p
    Czyli niedługo wychodzi 7! :D
     
  9. ssobieraj
    Offline

    ssobieraj Nowicjusz

    Wiadomości:
    19
    Polubienia:
    2
    Punkty:
    8
    No i mam nową nowinkę dotyczącą zabezpieczeń i pluginu, ChestShop.

    W tym pluginie jest mozliwosc zakladania tak zwanego AdminShop, ktory daje nieograniczona ilosc przedmiotow za wyznaczona cene.

    U mnie na serwerze jedni cwaniacy zrobili sobie konto AdminShop :), warto to konto zbanować od razu :)
     
Status tematu:
Brak możliwości dodawania odpowiedzi.